summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author Heinz Wiesinger <HMWiesinger@gmx.at>2010-05-11 20:01:12 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:01:12 +0200
commitcdd2fa87e5201e644ad64b1524bd0b9993ef0f32 (patch)
tree5391f0ab0494e382659170c4c5b2eea8168d7a59 /multimedia
parent1dcdda6e136b23efa1663b7676cd0254c758c3df (diff)
downloadslackbuilds-cdd2fa87e5201e644ad64b1524bd0b9993ef0f32.tar.gz
slackbuilds-cdd2fa87e5201e644ad64b1524bd0b9993ef0f32.tar.xz
multimedia/ardour: Added to 12.0 repository
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/ardour/README8
-rw-r--r--multimedia/ardour/ardour.SlackBuild83
-rw-r--r--multimedia/ardour/ardour.desktop7
-rw-r--r--multimedia/ardour/ardour.info8
-rw-r--r--multimedia/ardour/ardour.pngbin0 -> 3370 bytes
-rw-r--r--multimedia/ardour/doinst.sh17
-rw-r--r--multimedia/ardour/slack-desc19
7 files changed, 142 insertions, 0 deletions
diff --git a/multimedia/ardour/README b/multimedia/ardour/README
new file mode 100644
index 0000000000..2871e0fd29
--- /dev/null
+++ b/multimedia/ardour/README
@@ -0,0 +1,8 @@
+Ardour is an application to fit the needs of musicians under Linux.
+It is designed to be a fully functional professional audio
+application, that uses the professional sound server jack for
+sound i/o.
+
+Ardour requires boost, scons, jack-audio-connection-kit, libsamplerate,
+fftw, libgnomecanvas, liblo, liblrdf, and raptor.
+All of these are available from SlackBuilds.org.
diff --git a/multimedia/ardour/ardour.SlackBuild b/multimedia/ardour/ardour.SlackBuild
new file mode 100644
index 0000000000..802fc916e8
--- /dev/null
+++ b/multimedia/ardour/ardour.SlackBuild
@@ -0,0 +1,83 @@
+#!/bin/sh
+
+# Slackware build script for ardour
+
+# Copyright 2008 Heinz Wiesinger <hmwiesinger@gmx.at>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ardour
+VERSION=2.3.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-2.3
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-2.3
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+scons PREFIX=/usr DIST_TARGET="none" ARCH="$(echo $SLKCFLAGS)"
+scons PREFIX=/usr DIST_TARGET="none" ARCH="$(echo $SLKCFLAGS)" install DESTDIR=$PKG
+
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+install -m 0644 $CWD/ardour.desktop $PKG/usr/share/applications
+install -m 0644 $CWD/ardour.png $PKG/usr/share/pixmaps
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING PACKAGER_README README DOCUMENTATION \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+# Let's not clobber config files
+cd $PKG/etc/ardour2
+ for i in * ; do
+ mv $i $i.new
+ echo "config etc/ardour2/$i.new" >> $PKG/install/doinst.sh
+ done
+cd -
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/multimedia/ardour/ardour.desktop b/multimedia/ardour/ardour.desktop
new file mode 100644
index 0000000000..442b7ae608
--- /dev/null
+++ b/multimedia/ardour/ardour.desktop
@@ -0,0 +1,7 @@
+[Desktop Entry]
+Type=Application
+Name=Ardour
+Comment=Multitrack hardware recording system
+Exec=ardour2
+Icon=ardour
+Categories=AudioVideo \ No newline at end of file
diff --git a/multimedia/ardour/ardour.info b/multimedia/ardour/ardour.info
new file mode 100644
index 0000000000..589c3dd08e
--- /dev/null
+++ b/multimedia/ardour/ardour.info
@@ -0,0 +1,8 @@
+PRGNAM="ardour"
+VERSION="2.3.1"
+HOMEPAGE="http://ardour.org"
+DOWNLOAD="http://ardour.org/files/releases/ardour-2.3.1.tar.bz2"
+MD5SUM="54abb231ae0c1fa3b3f2c2177c644c22"
+MAINTAINER="ppr:kut"
+EMAIL="HMWiesinger@gmx.at"
+APPROVED="rworkman"
diff --git a/multimedia/ardour/ardour.png b/multimedia/ardour/ardour.png
new file mode 100644
index 0000000000..411028c277
--- /dev/null
+++ b/multimedia/ardour/ardour.png
Binary files differ
diff --git a/multimedia/ardour/doinst.sh b/multimedia/ardour/doinst.sh
new file mode 100644
index 0000000000..775527a716
--- /dev/null
+++ b/multimedia/ardour/doinst.sh
@@ -0,0 +1,17 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/multimedia/ardour/slack-desc b/multimedia/ardour/slack-desc
new file mode 100644
index 0000000000..a50666949a
--- /dev/null
+++ b/multimedia/ardour/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------|
+ardour: ardour (Professional Audio Editing)
+ardour:
+ardour: Ardour is an application to fit the needs of musicians under
+ardour: Linux. It is designed to be a fully functional professional
+ardour: audio application, that uses the professional sound server
+ardour: jack for sound i/o.
+ardour:
+ardour: Homepage: http://ardour.org
+ardour:
+ardour:
+ardour: